#image: pictshare:latest
default:
  image: docker:24.0.5
  services:
    - docker:24.0.5-dind
  before_script:
    - docker info

variables:
    LATEST_VER: tritran14/pictshare:${CI_COMMIT_SHORT_SHA}
stages:
    - Build image and Push to Docker Hub
    - gkedeploy
docker build and push:
    stage: Build image and Push to Docker Hub
    only:
        - main
    before_script:
        - echo -n "$REGISTRY_PASSWORD" | docker login -u "$REGISTRY_USER" --password-stdin
    script:
        - cat /etc/os-release
        - docker info
        - docker build -t $LATEST_VER -f ./docker/Dockerfile .
        - docker push $LATEST_VER

# gcloud deploy:
#   stage: gkedeploy
#   image: google/cloud-sdk
#   script:
#     - echo $SERVICE_ACCOUNT > ~/encoded_serviceaccount.json
#     - gcloud auth activate-service-account --key-file ~/encoded_serviceaccount.json
#     - gcloud config set project mythical-zodiac-328713
#     - echo y | gcloud config set compute/zone asia-southeast1-a
#     - gcloud container clusters get-credentials pictshare --zone asia-southeast1-a --project mythical-zodiac-328713
#     - sleep 10
#     - sed -i "s/<VERSION>/${CI_COMMIT_SHORT_SHA}/g" ./deployment/pictshare-deployment.yaml
#     - kubectl apply -f ./deployment/pictshare-deployment.yaml
